Package org.gradle.tooling.model.gradle

## Interface GradleScript

-     public interface GradleScript

  Represents a Gradle script. A Gradle script may be a build script, settings script or initialization script.
  Since:
    1.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `getSourceFile()` | Returns the source file for this script, or `null` if this script has no associated source file.

- - ### Method Detail

    - #### getSourceFile

          @Nullable
          File getSourceFile()

      Returns the source file for this script, or `null` if this script has no associated source file. If this method returns a non-null value, the given source file will exist.
      Returns:
        The source file. Returns null if the script has no associated source file.
      Since:
        1.8